#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private IndicatorMall.IMImbalances[] cacheIMImbalances;

		
		public IndicatorMall.IMImbalances IMImbalances()
		{
			return IMImbalances(Input);
		}


		
		public IndicatorMall.IMImbalances IMImbalances(ISeries<double> input)
		{
			if (cacheIMImbalances != null)
				for (int idx = 0; idx < cacheIMImbalances.Length; idx++)
					if ( cacheIMImbalances[idx].EqualsInput(input))
						return cacheIMImbalances[idx];
			return CacheIndicator<IndicatorMall.IMImbalances>(new IndicatorMall.IMImbalances(), input, ref cacheIMImbalances);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.IndicatorMall.IMImbalances IMImbalances()
		{
			return indicator.IMImbalances(Input);
		}


		
		public Indicators.IndicatorMall.IMImbalances IMImbalances(ISeries<double> input )
		{
			return indicator.IMImbalances(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.IndicatorMall.IMImbalances IMImbalances()
		{
			return indicator.IMImbalances(Input);
		}


		
		public Indicators.IndicatorMall.IMImbalances IMImbalances(ISeries<double> input )
		{
			return indicator.IMImbalances(input);
		}

	}
}

#endregion
